Package com.independentsoft.office.spreadsheet

# Enum Class ConditionalFormatOperator

java.lang.Object
java.lang.Enum<ConditionalFormatOperator>
com.independentsoft.office.spreadsheet.ConditionalFormatOperator

All Implemented Interfaces:
  `Serializable`, `Comparable<ConditionalFormatOperator>`, `Constable`

public enum ConditionalFormatOperator extends Enum<ConditionalFormatOperator>
The Enum ConditionalFormatOperator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEGINS_WITH`
  `BETWEEN`
  `CONTAINS_TEXT`
  `DOES_NOT_CONTAIN`
  `ENDS_WITH`
  `EQUAL`
  `GREATER_THAN`
  `GREATER_THAN_OR_EQUAL`
  `LESS_THAN`
  `LESS_THAN_OR_EQUAL`
  `NONE`
  `NOT_BETWEEN`
  `NOT_EQUAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConditionalFormatOperator`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConditionalFormatOperator[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEGINS_WITH

    public static final ConditionalFormatOperator BEGINS_WITH

  - ### BETWEEN

    public static final ConditionalFormatOperator BETWEEN

  - ### CONTAINS_TEXT

    public static final ConditionalFormatOperator CONTAINS_TEXT

  - ### ENDS_WITH

    public static final ConditionalFormatOperator ENDS_WITH

  - ### EQUAL

    public static final ConditionalFormatOperator EQUAL

  - ### GREATER_THAN

    public static final ConditionalFormatOperator GREATER_THAN

  - ### GREATER_THAN_OR_EQUAL

    public static final ConditionalFormatOperator GREATER_THAN_OR_EQUAL

  - ### LESS_THAN

    public static final ConditionalFormatOperator LESS_THAN

  - ### LESS_THAN_OR_EQUAL

    public static final ConditionalFormatOperator LESS_THAN_OR_EQUAL

  - ### NOT_BETWEEN

    public static final ConditionalFormatOperator NOT_BETWEEN

  - ### DOES_NOT_CONTAIN

    public static final ConditionalFormatOperator DOES_NOT_CONTAIN

  - ### NOT_EQUAL

    public static final ConditionalFormatOperator NOT_EQUAL

  - ### NONE

    public static final ConditionalFormatOperator NONE

- ## Method Details

  - ### values

    public static ConditionalFormatOperator[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConditionalFormatOperator valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null